About Footer Macro

DMS Interaction

Our Footer Macro is developed to match the product combinations your firm is using. Based on the products selected, the Footer Macro may either be configured as an add-in template for Word or a COM add-in for Microsoft Office. The Footer Macro is responsible for automatically communicating with the DMS back-end to retrieve and update the custom field code with the document's profile data. The Footer Macro contacts the database when a user performs actions in Word such as Save, Save As, Open, and Edit Profile. Because our Footer Macro is "event" driven, there is no interaction required by the user.

Footer Information Display Options

Once the Footer Macro has retrieved the information from the DMS database, our application automatically updates the value of the field code displaying the appropriate footer information. We customize the information display to meet the needs of the firm. Customization can include footers that display a variety of DMS information, for example:

Client Number

Matter Number

Document Number

Version Number

Author

This data can be combined into a variety of displays:

99999-00001\12345 v01 KRISTIL

12345.1

12345.03 KRISTIL

Firms may also want advanced options in the footer macro, for example:

The ability to have different footer displays based on different document types.

The ability to automatically insert the field code as the last line of text in a document's footer.

The ability to remove the footer display text when the document is "final."

Our Footer Macro includes the basic level of customization for the firm. On a contract basis, we can build a complex integration module that includes a wide range of features such as automatically pre-filling profile items, macros for printing (with and without footer displays), etc.


About KI Systems

Fast and Easy Document Production

KI Systems was established in 1994 and is a local Microsoft Certified Solution Provider company. Its primary business focus is to provide consulting services and custom software solutions for the legal industry. KI Systems assists firms of all sizes, from the sole practitioner to the large corporate law firm. Its founding partners have been active in the legal industry for over 20 years.

KI Systems offers a variety of services to meet your needs:

Services:
System Analysis
Programming

Products:
Business Pak
Desktop Integration Products
Forms Pak
Pleading Paks
Remote Version of Address Book
Outlook Synchronizer
Numbering Tool

KI Systems, Inc.
9310 - 176th St. S.E.
Snohomish, Washington 98296-5028
USA

Tel: (425) 402-0791
Fax: (360) 668-9864
Internet: kisys@kisys.com
www.kisys.com

Visit our Tips and Tricks page for information on the Address Book, Templates, Macros and Word.


Document Management System Integration

Topic Overview:

The number one request we receive from users and IT Administrators is the ability to have the Document Management System automatically display and update document footer information from the DMS. Your need prompted us to develop our "smart" Footer Macro for Microsoft Word.

Our Footer Macro utilizes a combination of Word Events and COM or API events provided via Software Development Kits (SDK) provided by the DMS vendor. The goal of the Footer Macro is to automate the task of inserting, updating, and displaying profile information in documents. The Footer Macro is customized to meet the firm's preferences and software environment.

KI Systems Footer Macro is available for the following products:

iManage: www.imanage.com

Products Supported

---infoRite and infoLook

---DeskSite and MailSite

Hummingbird, Inc.: www.hummingbird.com

Products Supported

---DocsOpen

---PowerDocs\CyberDocs

---DM 5


Introduction to Help

KI Systems On-Line Help provides instructions and general information on the Footer Macro you have purchased. If you elected to include additional features or make modifications to the macro, those changes may not be reflected in On-Line Help.

The following Help Topics are available:

About Footer Macro
Automatic Footer Updates
Document Management System Integration
Footer Macro Pricing
Future Version Compatibility
How the Footer Macro Displays Information
Using the Insert Doc No. Macro


Automatic Footer Updates

Our Footer Macro automatically detects if the "Doc No." field code resides within a Word document. If it exists, the display information will be updated automatically each time the document is Opened, Saved, Saved As a New Version, and if the profile card is edited. The Footer Macro's use of application events makes this possible.


Future Version Compatibility

Our Footer Macro is specifically built to be compatible with your current software environment. Our product is compatible with a particular version of Microsoft Word, a particular DMS client, and in some cases a particular DMS Vendor Patch and/or HotFix.

We rely on the original software specifications you provided at the time we developed your custom Footer Macro. If, in the future, you wish to upgrade to a new DMS client release, version, HotFix or Patch, please contact KI Systems before upgrading your workstations. It is quite possible that a new DMS Client release, version, HotFix or Patch may include programming changes made by the DMS vendor that will require re-coding on our part. While this is not common, we cannot anticipate future changes or requirements the DMS vendor may require to utilize features in their SDK or COM Toolkit.

If future releases by the DMS vendor occur that require an update or re-build of your Footer Macro, we provide this service to our customers on a time and material basis.


How the Footer Macro Displays Information

KI Systems Footer Macro utilizes a Word Custom Document Property Field Code (named "Doc No.") to display and automatically update footer information from the document management system. The field code is wrapped with a Word Bookmark called "FileNum." This field code and corresponding bookmark can be placed anywhere in a document (i.e. footer, end of text, certain sections, etc.). It can also be placed in the underlying template so that it is automatically available as new documents are created. Our Footer Macro also provides a Custom Toolbar and Macro called "Insert Doc No." that enables the user to quickly insert the custom field code into customer or legacy documents that do not currently have the field code.

In your document, with View Field Codes turned on, the field code displays as follows:

{ DOCPROPERTY "DOC NO." \* MERGEFORMAT }

In your document, with View Field Codes turned off and if your document has been saved to the DMS, the footer will display similar to the following:

99999-00001\12345.1


Using the Insert Doc No. Macro

  • Position your cursor in the document at the desired location.

  • Use the Insert Doc No. button shown at the bottom of the screen to insert the field code.

  • The Footer Macro inserts the field code at the current cursor location.

  • The field code will take on the Style that existed at the cursor location. If desired, you may format the field code font, size or other attributes.

How To Place the DMS Footer at the End of the Document

Place your cursor at the end of the document.

Click the Insert Doc No. Button on the toolbar.

The field code will take on the Style that existed at the cursor location. If desired, you may format the field code font, size or other attributes.

How To Place the DMS Footer in the document's footer

  • If the document's footer already contains text or page number information you can create a new line or position the cursor at the desired location amongst the existing text.

  • Click on the Insert Doc No. button and the field code will be inserted.

  • The field code will take on the Style that existed at the cursor location. If desired, you may format the field code font, size or other attributes.


Footer Macro Pricing

Our standard Footer Macro for Microsoft Word using the Hummingbird or iManage client is available for a flat fee of $1,500. Included in this price is the customization of the Footer Macro to meet your firm's preferences for footer display format. We also modify your templates to include the Doc No. field code in the location(s) of your choice.

How to Order

Placing an order the Footer Macro is simple. Provide us the following information about your computing environment and we will send you your customized Footer Macro within 10 days.

1. Workstation Desktop Operating System

2. Microsoft Office product version and Service Release

3. DMS Product version including HotFix and/or Patch.

Please Note: Our Footer Macro must be developed and compiled to match the exact DMS Client version, Patch and/or HotFix.

Your firm's preference for the display format of the Footer Macro.

5. If you would like us to modify your firm's templates to include the Doc No. field code, please provide:

a. A copy of your firm's current templates.

b. A list specifying the location of the footer display for each template.

c. Formatting requirements, if any, for the display (i.e. TNR 8 pt All Caps)

Email, Fax or Phone this information to:

KI Systems, Inc.
9310 - 176th St. SE
Snohomish, WA 98296
Tel. 425-402-0791
Fax 360-668-9864

email: kristil@kisys.com

Visit our web site: www.kisys.com

Additional Questions? Contact us today to see how we can assist you.